import {
  Component,
  OnDestroy,
  OnInit,
} from '@angular/core';
import { Member } from '@overflow/commons-typescript/model/member';
import * as AuthStore from '../store/signup';
import { Store } from '@ngrx/store';

@Component({
  selector: 'of-member-signup-container',
  templateUrl: './member-signup-container.component.html',
})
export class MemberSignupContainerComponent implements OnInit, OnDestroy {

  constructor(
    private store: Store<AuthStore.State>,
  ) { }

  ngOnInit() {
  }

  ngOnDestroy() {
  }

  onSignup(info: {member: Member, password: string}) {
    this.store.dispatch(new AuthStore.Signup(info));
  }
}
